﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	
	Dim strModuleName As String	= "" 	' Set in each sub for Logging
	Dim strLogFileName As String = "/AppLog.txt"
End Sub

Sub Service_Create
	WriteLog("App Started")
	Log("Created log")
End Sub

Sub Service_Start (StartingIntent As Intent)
	
	Service.StopAutomaticForeground 'Call this when the background task completes (if there is one)
End Sub

Sub Service_Destroy

End Sub

Sub WriteLog(strMessage As String)
	' Create and write log file entry
	Private Writer As TextWriter
	DateTime.DateFormat = "yyyy.MM.dd HH:mm:ss"
	Log(DateTime.Date(DateTime.Now) & " " & strModuleName &": " & strMessage)
	' Put in when in trouble
	''Msgbox(strMessage, "")
	Writer.Initialize(File.OpenOutput(File.DirRootExternal, strLogFileName, True) )
	''Writer.WriteLine(DateTime.Date(DateTime.Now) & " " & strModuleName &": " & strMessage)
	Writer.WriteLine(DateTime.Date(DateTime.Now) &": " & strMessage)
	Writer.Close
End Sub